Import pdfmod-0.9.1.

PDF Mod is a simple application for modifying PDF documents. You can
reorder, rotate, and remove pages, export images from a document, edit
the title, subject, author, and keywords, and combine documents via drag
and drop.

ok jasper@ robert@ (on an older version 2 months ago...)
This commit is contained in:
ajacoutot 2011-03-07 21:54:03 +00:00
parent c47aaddeed
commit 1e3b096b0a
5 changed files with 169 additions and 0 deletions

37
graphics/pdfmod/Makefile Executable file
View File

@ -0,0 +1,37 @@
# $OpenBSD: Makefile,v 1.1.1.1 2011/03/07 21:54:03 ajacoutot Exp $
COMMENT= simple application for modifying PDF documents
GNOME_PROJECT= pdfmod
GNOME_VERSION= 0.9.1
CATEGORIES= print graphics
HOMEPAGE= http://live.gnome.org/PdfMod
# GPLv2
PERMIT_PACKAGE_CDROM= Yes
PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP= Yes
MODULES= lang/mono \
x11/gnome
BUILD_DEPENDS= devel/hyena \
x11/gnome/mono-gnome
RUN_DEPENDS= print/poppler \
x11/gnome/mono-gnome
MODGNOME_HELP_FILES= Yes
DESKTOP_FILES= Yes
CONFIGURE_STYLE=gnu
CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
LDFLAGS="-L${LOCALBASE}/lib"
CONFIGURE_ARGS= --enable-release \
--disable-external-poppler-sharp
DLLMAP_FILES= lib/poppler-sharp/poppler-sharp/poppler-sharp.dll.config
.include <bsd.port.mk>

5
graphics/pdfmod/distinfo Normal file
View File

@ -0,0 +1,5 @@
MD5 (pdfmod-0.9.1.tar.bz2) = Yse6CFwM81P7/qkQ351CcA==
RMD160 (pdfmod-0.9.1.tar.bz2) = gvGjoU9CazF0v6pGzjhMxd5Rvig=
SHA1 (pdfmod-0.9.1.tar.bz2) = Us3Zlt+ADv5/xAvy8ljX5mq+Gkc=
SHA256 (pdfmod-0.9.1.tar.bz2) = 63yYdRSgUxBt3wPyZUR2bHUcgB2HdikJs2QV1GvEJck=
SIZE (pdfmod-0.9.1.tar.bz2) = 667450

View File

@ -0,0 +1,33 @@
$OpenBSD: patch-icon-theme-installer,v 1.1.1.1 2011/03/07 21:54:03 ajacoutot Exp $
--- icon-theme-installer.orig Sat Oct 3 02:12:39 2009
+++ icon-theme-installer Sun Jan 16 14:11:08 2011
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# icon-theme-installer
# Copyright (C) 2006 Novell, Inc.
@@ -101,12 +101,12 @@ if test -z "$INSTALL_BASE_DIR"; then
exit 1
fi
-if test ! -x $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' '); then
+if ! which $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' ') > /dev/null; then
echo "Cannot find '$MKINSTALLDIRS_EXEC'; You probably want to pass -m \$(mkinstalldirs)"
exit 1
fi
-if test ! -x $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' '); then
+if ! which $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' ') > /dev/null; then
echo "Cannot find '$INSTALL_DATA_EXEC'; You probably want to pass -x \$(INSTALL_DATA)"
exit 1
fi
@@ -160,7 +160,7 @@ for icon in $@; do
fi
done
-gtk_update_icon_cache_bin="$((which gtk-update-icon-cache || echo /opt/gnome/bin/gtk-update-icon-cache)2>/dev/null)"
+gtk_update_icon_cache_bin="$( (which gtk-update-icon-cache || echo /opt/gnome/bin/gtk-update-icon-cache)2>/dev/null)"
gtk_update_icon_cache="$gtk_update_icon_cache_bin -f -t $INSTALL_BASE_DIR"
if test -z "$INSTALL_DEST_DIR"; then

4
graphics/pdfmod/pkg/DESCR Executable file
View File

@ -0,0 +1,4 @@
PDF Mod is a simple application for modifying PDF documents. You can
reorder, rotate, and remove pages, export images from a document, edit
the title, subject, author, and keywords, and combine documents via drag
and drop.

90
graphics/pdfmod/pkg/PLIST Normal file
View File

@ -0,0 +1,90 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2011/03/07 21:54:03 ajacoutot Exp $
bin/pdfmod
lib/pdfmod/
lib/pdfmod/Hyena.Gui.dll
lib/pdfmod/Hyena.Gui.dll.config
lib/pdfmod/Hyena.Gui.dll.mdb
lib/pdfmod/Hyena.dll
lib/pdfmod/Hyena.dll.config
lib/pdfmod/Hyena.dll.mdb
lib/pdfmod/PdfMod.exe
lib/pdfmod/PdfMod.exe.mdb
lib/pdfmod/PdfSharp.dll
lib/pdfmod/PdfSharp.dll.mdb
lib/pdfmod/poppler-sharp.dll
lib/pdfmod/poppler-sharp.dll.config
lib/pdfmod/poppler-sharp.dll.mdb
share/applications/pdfmod.desktop
share/gnome/help/pdfmod/
share/gnome/help/pdfmod/C/
share/gnome/help/pdfmod/C/pdfmod.xml
share/gnome/help/pdfmod/ca/
share/gnome/help/pdfmod/ca/pdfmod.xml
share/gnome/help/pdfmod/cs/
share/gnome/help/pdfmod/cs/pdfmod.xml
share/gnome/help/pdfmod/da/
share/gnome/help/pdfmod/da/pdfmod.xml
share/gnome/help/pdfmod/de/
share/gnome/help/pdfmod/de/pdfmod.xml
share/gnome/help/pdfmod/es/
share/gnome/help/pdfmod/es/pdfmod.xml
share/gnome/help/pdfmod/fr/
share/gnome/help/pdfmod/fr/pdfmod.xml
share/gnome/help/pdfmod/hr/
share/gnome/help/pdfmod/hr/pdfmod.xml
share/gnome/help/pdfmod/pl/
share/gnome/help/pdfmod/pl/pdfmod.xml
share/gnome/help/pdfmod/sl/
share/gnome/help/pdfmod/sl/pdfmod.xml
share/gnome/help/pdfmod/sv/
share/gnome/help/pdfmod/sv/pdfmod.xml
share/gnome/help/pdfmod/zh_CN/
share/gnome/help/pdfmod/zh_CN/pdfmod.xml
share/icons/hicolor/16x16/
share/icons/hicolor/16x16/apps/
share/icons/hicolor/16x16/apps/pdfmod.png
share/icons/hicolor/22x22/
share/icons/hicolor/22x22/apps/
share/icons/hicolor/22x22/apps/pdfmod.png
share/icons/hicolor/24x24/
share/icons/hicolor/24x24/apps/
share/icons/hicolor/24x24/apps/pdfmod.png
share/icons/hicolor/256x256/
share/icons/hicolor/256x256/apps/
share/icons/hicolor/256x256/apps/pdfmod.png
share/icons/hicolor/32x32/
share/icons/hicolor/32x32/apps/
share/icons/hicolor/32x32/apps/pdfmod.png
share/icons/hicolor/scalable/
share/icons/hicolor/scalable/apps/
share/icons/hicolor/scalable/apps/pdfmod.svg
share/locale/bn_IN/LC_MESSAGES/pdfmod.mo
share/locale/ca/LC_MESSAGES/pdfmod.mo
share/locale/ca@valencia/LC_MESSAGES/pdfmod.mo
share/locale/cs/LC_MESSAGES/pdfmod.mo
share/locale/da/LC_MESSAGES/pdfmod.mo
share/locale/de/LC_MESSAGES/pdfmod.mo
share/locale/es/LC_MESSAGES/pdfmod.mo
share/locale/et/LC_MESSAGES/pdfmod.mo
share/locale/fr/LC_MESSAGES/pdfmod.mo
share/locale/gl/LC_MESSAGES/pdfmod.mo
share/locale/hr/LC_MESSAGES/pdfmod.mo
share/locale/hu/LC_MESSAGES/pdfmod.mo
share/locale/it/LC_MESSAGES/pdfmod.mo
share/locale/ja/LC_MESSAGES/pdfmod.mo
share/locale/lt/LC_MESSAGES/pdfmod.mo
share/locale/nb/LC_MESSAGES/pdfmod.mo
share/locale/nl/LC_MESSAGES/pdfmod.mo
share/locale/pl/LC_MESSAGES/pdfmod.mo
share/locale/pt/LC_MESSAGES/pdfmod.mo
share/locale/pt_BR/LC_MESSAGES/pdfmod.mo
share/locale/ro/LC_MESSAGES/pdfmod.mo
share/locale/ru/LC_MESSAGES/pdfmod.mo
share/locale/sl/LC_MESSAGES/pdfmod.mo
share/locale/sv/LC_MESSAGES/pdfmod.mo
share/locale/ta/LC_MESSAGES/pdfmod.mo
share/locale/zh_CN/LC_MESSAGES/pdfmod.mo
@exec %D/bin/gtk-update-icon-cache -q -f -t %D/share/icons/hicolor 2> /dev/null || true
@unexec-delete %D/bin/gtk-update-icon-cache -q -f -t %D/share/icons/hicolor 2> /dev/null || true
@exec %D/bin/update-desktop-database
@unexec-delete %D/bin/update-desktop-database